For the complete documentation index, see llms.txt. This page is also available as Markdown.

🤝 Clients

Client and customer relationship management

List clients

get
/api/v1.0/organisation/{org_uid}/clients/

Get a list of all clients with optional filters

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
Query parameters
company_sizestringOptional

Filter by company size

entity_typestring · enumOptional

Filter by entity type

Possible values:
industrystring · enumOptional

Filter by industry

Possible values:
lifecycle_stagestring · enumOptional

Filter by client lifecycle stage

Possible values:
searchstringOptional

Search clients by name

Responses
200Success
application/json

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
lifecycle_stage_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
days_since_last_contactinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
get/api/v1.0/organisation/{org_uid}/clients/
GET /api/v1.0/organisation/{org_uid}/clients/ HTTP/1.1
Host: skhokho.ai
Accept: */*
[
  {
    "unique_id": "text",
    "name": "text",
    "description": "text",
    "entity_type": "individual",
    "entity_type_display": "text",
    "lifecycle_stage": "prospect",
    "lifecycle_stage_display": "text",
    "industry": "agriculture",
    "industry_display": "text",
    "website": "https://example.com",
    "company_size": "text",
    "annual_revenue": "text",
    "default_currency": "text",
    "first_contact_date": "2026-01-01",
    "last_contact_date": "2026-01-01",
    "next_follow_up_date": "2026-01-01",
    "created_by": {
      "unique_id": "text",
      "full_name": "text"
    },
    "assigned_to": {
      "unique_id": "text",
      "full_name": "text"
    },
    "account_owner": {
      "unique_id": "text",
      "full_name": "text"
    },
    "address": {
      "address_line_1": "text",
      "address_line_2": "text",
      "city": "text",
      "province_state": "text",
      "postal_code": "text",
      "country": "text",
      "phone": "text"
    },
    "banking_information": {
      "bank_name": "text",
      "account_number": "text",
      "branch_code": "text",
      "account_type": "checking",
      "routing_number": "text",
      "swift_code": "text"
    },
    "days_since_last_contact": 1,
    "is_follow_up_overdue": true,
    "primary_contact": {
      "unique_id": "text",
      "first_name": "text",
      "last_name": "text",
      "name": "text",
      "email": "name@gmail.com",
      "phone": "text",
      "job_title": "text",
      "primary_contact": true,
      "is_active": true,
      "entity_type": "client",
      "entity_id": "text"
    },
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z"
  }
]

Create client

post
/api/v1.0/organisation/{org_uid}/clients/create/

Create a new client. Client name is required.

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
Body

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1 · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
Responses
201Success
application/json

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
lifecycle_stage_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
days_since_last_contactinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
post/api/v1.0/organisation/{org_uid}/clients/create/
POST /api/v1.0/organisation/{org_uid}/clients/create/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 651

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "lifecycle_stage": "prospect",
  "industry": "agriculture",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  }
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "lifecycle_stage": "prospect",
  "lifecycle_stage_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "is_follow_up_overdue": true,
  "primary_contact": {
    "unique_id": "text",
    "first_name": "text",
    "last_name": "text",
    "name": "text",
    "email": "name@gmail.com",
    "phone": "text",
    "job_title": "text",
    "primary_contact": true,
    "is_active": true,
    "entity_type": "client",
    "entity_id": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Get client

get
/api/v1.0/organisation/{org_uid}/clients/{unique_id}/

Retrieve a specific client

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Responses
200Success
application/json

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
lifecycle_stage_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
days_since_last_contactinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
get/api/v1.0/organisation/{org_uid}/clients/{unique_id}/
GET /api/v1.0/organisation/{org_uid}/clients/{unique_id}/ HTTP/1.1
Host: skhokho.ai
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "lifecycle_stage": "prospect",
  "lifecycle_stage_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "is_follow_up_overdue": true,
  "primary_contact": {
    "unique_id": "text",
    "first_name": "text",
    "last_name": "text",
    "name": "text",
    "email": "name@gmail.com",
    "phone": "text",
    "job_title": "text",
    "primary_contact": true,
    "is_active": true,
    "entity_type": "client",
    "entity_id": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update client

put
/api/v1.0/organisation/{org_uid}/clients/{unique_id}/update/

Update a specific client (full or partial update)

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Body

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1 · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
Responses
200Success
application/json

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
lifecycle_stage_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
days_since_last_contactinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
put/api/v1.0/organisation/{org_uid}/clients/{unique_id}/update/
PUT /api/v1.0/organisation/{org_uid}/clients/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 651

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "lifecycle_stage": "prospect",
  "industry": "agriculture",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  }
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "lifecycle_stage": "prospect",
  "lifecycle_stage_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "is_follow_up_overdue": true,
  "primary_contact": {
    "unique_id": "text",
    "first_name": "text",
    "last_name": "text",
    "name": "text",
    "email": "name@gmail.com",
    "phone": "text",
    "job_title": "text",
    "primary_contact": true,
    "is_active": true,
    "entity_type": "client",
    "entity_id": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update client

patch
/api/v1.0/organisation/{org_uid}/clients/{unique_id}/update/

Update a specific client (full or partial update)

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Body

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1 · max: 300Optional
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
Responses
200Success
application/json

Comprehensive serializer for Client model. Handles multilingual fields, nested relationships, and computed fields. Optimized for list and detail views with optional prefetching support.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
lifecycle_stagestring · enumOptional
  • prospect - Prospect
  • active_client - Active Client
  • matured_client - Matured Client
  • inactive - Inactive
  • dormant - Dormant
  • lost_opportunity - Lost Opportunity
Possible values:
lifecycle_stage_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
days_since_last_contactinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
patch/api/v1.0/organisation/{org_uid}/clients/{unique_id}/update/
PATCH /api/v1.0/organisation/{org_uid}/clients/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 651

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "lifecycle_stage": "prospect",
  "industry": "agriculture",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  }
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "lifecycle_stage": "prospect",
  "lifecycle_stage_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "is_follow_up_overdue": true,
  "primary_contact": {
    "unique_id": "text",
    "first_name": "text",
    "last_name": "text",
    "name": "text",
    "email": "name@gmail.com",
    "phone": "text",
    "job_title": "text",
    "primary_contact": true,
    "is_active": true,
    "entity_type": "client",
    "entity_id": "text"
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Delete client

delete
/api/v1.0/organisation/{org_uid}/clients/{unique_id}/delete/

Delete a specific client

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Responses
204

No Content

No content

delete/api/v1.0/organisation/{org_uid}/clients/{unique_id}/delete/
DELETE /api/v1.0/organisation/{org_uid}/clients/{unique_id}/delete/ HTTP/1.1
Host: skhokho.ai
Accept: */*

No content

Last updated